<?php
/**
 * $Horde: ansel/captions.php,v 1.16 2005/01/03 14:34:47 jan Exp $
 *
 * Copyright 2001-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('ANSEL_BASE', dirname(__FILE__));
require_once ANSEL_BASE . '/lib/base.php';
require_once 'Horde/Text/Filter.php';

$galleryId = Util::getFormData('gallery');
if (!$galleryId) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$gallery = &$ansel_shares->getGallery($galleryId);
if (is_a($gallery, 'PEAR_Error')) {
    $notification->push(sprintf(_("Error accessing %s: %s"), $galleryId, $gallery->getMessage()), 'horde.error');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

if (!$gallery->hasPermission(Auth::getAuth(), PERMS_EDIT)) {
    $notification->push(sprintf(_("Access denied setting captions for %s."), $gallery->get('name')), 'horde.error');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

/* Run through the action handlers. */
$do = Util::getFormData('do');
switch ($do) {
case 'save':
    /* Save a batch of captions. */
    $images = $gallery->listImages();
    foreach ($images as $id => $name) {
        if (($desc = Util::getFormData('img' . $id)) !== null) {
            $image = &$ansel_shares->getImage($id);
            $image->set('description', $desc, true);
        }
    }

    $notification->push(_("Captions Saved."), 'horde.success');
    header('Location: ' . Horde::applicationUrl(Util::addParameter('view.php', 'gallery', $galleryId), true));
    exit;
}

$title = _("Caption Editor");
require ANSEL_TEMPLATES . '/common-header.inc';
require ANSEL_TEMPLATES . '/menu.inc';
require ANSEL_TEMPLATES . '/captions/captions.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
