<?php

$block_name = _("Random photo");

/**
 * Ansel's Random photo
 *
 * $Horde: ansel/lib/Block/random_photo.php,v 1.6 2005/01/03 14:34:48 jan Exp $
 *
 * This file provides a random Ansel gallery through the Horde_Blocks, by
 * extending the Horde_Blocks class.
 *
 * Copyright 2003-2005 Duck <duck@obla.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <Duck@obla.net>
 * @author  Ben Chavet <ben@horde.org>
 * @package Horde_Block
 */
class Horde_Block_ansel_random_photo extends Horde_Block {

    var $_app = 'ansel';

    function _title()
    {
        return Horde::link(Horde::applicationUrl('list.php', true), _("Random photo"), 'header') . _("Random photo") . '</a>';
    }

    function _content()
    {
        @define('ANSEL_BASE', dirname(__FILE__) . '/../..');
        require ANSEL_BASE . '/lib/base.php';

        $owner = Auth::getAuth();
        $num_galleries = Ansel::countGalleries(PERMS_SHOW, $owner, DATATREE_ROOT, false);
        if (!$num_galleries) {
            return _("There are no photo galleries available.");
        }

        $gallerylist = Ansel::listGalleries(PERMS_SHOW, $owner, DATATREE_ROOT, false, rand(0, $num_galleries - 1), 1);

        list(, $group) = each($gallerylist);
        list($galleryId, $gallery) = each($group['galleries']);

        $imagelist = $gallery->listImages(rand(0, $gallery->get('num-images') - 1), 1);
        list($imageId) = each($imagelist);

        $viewurl = Horde::applicationUrl(Util::addParameter('view.php', array(
                                                                'gallery' => $gallery->getId(),
                                                                'image' => $imageId,
                                                                'actionID' => 'viewimage')));

        $html = '<div class="dropShadow">';
        $html .= Horde::link($viewurl, _("View Photo"));
        $html .= Horde::img(Ansel::getImageUrl($imageId, 'thumb', true), '', '', '') . '</a>';
        $html .= '</a></div>';

        return $html;
    }

}
