#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2003-08-26_update_gallery_format.php,v 1.1 2004/09/02 19:34:15 chuck Exp $
 *
 * This is a script to migrate old galleries to the new Ansel storage
 * format. You must update Ansel before running this script.
 */

/**
 ** Set this to true if you want DB inserts done.
 **/
$live = false;

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';

$vfs = &VFS::singleton($conf['vfs']['type'], Horde::getDriverConfig('vfs', $conf['vfs']['type']));

$category = &DataTree::factory('sql');
$db = &$category->_db;

$groups = array_keys($db->getAssoc('SELECT DISTINCT group_uid, group_uid FROM horde_categories WHERE group_uid LIKE \'ansel.galleries%\''));
foreach ($groups as $group) {
    $user = str_replace('ansel.galleries.', '', $group);

    $ids = $db->getAssoc("SELECT category_id, category_name FROM horde_categories WHERE group_uid = '$group'");
    $category->_params['group'] = $group;
    $category->_load();
    foreach ($ids as $id => $name) {
        $gallery = &$ansel_shares->newGallery(md5(microtime()));
        $gallery->data = $category->getCategoryData($id);
        $gallery->set('owner', $user);

        unset($gallery->data['category']);
        unset($gallery->data['comments']);

        $oldpath = '.ansel/' . $user . '/' . $name;
        $newpath = '.ansel/' . $gallery->getName();

        if ($live) {
            $vfs->createFolder('.ansel', $gallery->getName());
        }

        foreach ($gallery->listImages() as $name => $info) {
            if ($live) {
                foreach (array('full', 'screen', 'thumb') as $view) {
                    $result = $vfs->move($oldpath, $name . '_' . $view, $newpath);
                    if (is_a($result, 'PEAR_Error')) {
                        var_dump($result);
                        exit;
                    }
                }
            }
            $gallery->data['images'][$name]['vfspath'] = $newpath;
        }

        if ($live) {
            $result = $ansel_shares->addShare($gallery);
            if (is_a($result, 'PEAR_Error')) {
                var_dump($result);
                exit;
            }
        }
    }
}

if ($live) {
    $db->query("DELETE FROM horde_categories WHERE group_uid LIKE 'ansel.galleries.%'");
} else {
    echo "Didn't actually change any data. Edit this script and set \$live to true.\nBack up your database while you're at it.\n";
}
