#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2004-03-11_touch_galleries.php,v 1.2 2004/12/07 16:09:12 chuck Exp $
 *
 * This script touches all galleries to set today as the last-modified
 * date (simular to the UNIX 'touch' command).
 *
 * Use this script if you have upgraded ansel since before it suported
 * the 'last-modified' gallery attribute.  Without this, all galleries
 * will always say the were last modified today.
 */

/**
 ** Set this to true if you want DB inserts and VFS renames done.
 **/
$live = false;

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';

$vfs = &VFS::singleton($conf['vfs']['type'], Horde::getDriverConfig('vfs', $conf['vfs']['type']));

$driver = $conf['datatree']['driver'];
$datatree = &DataTree::singleton($driver, array_merge(Horde::getDriverConfig('datatree', $driver),
                                                      array('group' => 'horde.shares.ansel')));

$galleries = $datatree->get(DATATREE_FORMAT_FLAT, DATATREE_ROOT, true);
foreach ($galleries as $galleryId => $galleryName) {
    $gallery = &$ansel_shares->getGallery($galleryName);
    if ($gallery->get('type') != '1') {
        continue;
    }
    $gallery->update();
}