#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2004-06-06_store_gallery_ids.php,v 1.3 2004/12/07 19:26:17 chuck Exp $
 *
 * This script converts image->gallery pointers.  The old format used
 * gallery names, the new format uses gallery ID's.  It's probably a
 * good idea to back up your database before running this script.
 */

/**
 ** Set this to true if you want DB changes done.
 **/
$live = false;

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';

$driver = $conf['datatree']['driver'];
$datatree = &DataTree::singleton($driver, array_merge(Horde::getDriverConfig('datatree', $driver),
                                                      array('group' => 'horde.shares.ansel')));

echo 'getting image list...';
$images = $datatree->get(DATATREE_FORMAT_FLAT, DATATREE_ROOT, true);
echo "done\n";

foreach ($images as $imageId => $imageName) {
    $image = &$ansel_shares->getImage($imageName);
    if ($imageId == DATATREE_ROOT ||
        !is_a($image, 'DataTreeObject_Image') ||
        $image->get('type') == '1') {
        continue;
    }

    echo 'updating ' . $image->getId() . '...';

    if ($live) {
        $gallery = &$ansel_shares->getGallery($image->get('gallery'));
        $image->set('gallery', $gallery->getId(), true);
    }

    echo "ok\n";
}

if (!$live) {
    echo "\nset \$live = true; to actually make these changes.\n";
} 