#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2004-09-05_add_extensions.php,v 1.4 2004/12/07 19:26:17 chuck Exp $
 *
 * This script attaches the correct file extensions to the image files in the
 * VFS backend.  It's probably a good idea to back up your VFS backend before
 * running this script.
 */

/**
 ** Set this to true if you want DB changes done.
 **/
$live = false;

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/../..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';

$driver = $conf['datatree']['driver'];
$datatree = &DataTree::singleton($driver, array_merge(Horde::getDriverConfig('datatree', $driver),
                                                      array('group' => 'horde.shares.ansel')));

echo 'getting image list...';
$images = $datatree->get(DATATREE_FORMAT_FLAT, DATATREE_ROOT, true);
echo "done\n";

$views = array('full', 'screen', 'thumb', 'mini');
foreach ($images as $imageId => $imageName) {
    $image = &$ansel_shares->getImage($imageName);
    if ($imageId == DATATREE_ROOT ||
        !is_a($image, 'DataTreeObject_Image') ||
        !$image->get('type') ||
        $image->get('type') == '1') {
        continue;
    }

    echo 'renaming ' . $image->getId() . '...';
    foreach ($views as $view) {
        if ($image->_vfs->exists($image->vfspath($view), $image->getId())) {
            echo $view . '...';
            if ($live) {
                $result = $image->_vfs->rename($image->vfspath($view), $image->getId(), $image->vfspath($view), $image->getVFSName($view));
                if (is_a($result, 'PEAR_Error')) {
                    echo $result->getMessage() . "\n";
                }
            }
        }
    }

    echo "ok\n";
}

if (!$live) {
    echo "\nset \$live = true; to actually make these changes.\n";
}
