<?php
/**
 * $Horde: ansel/slideshow.php,v 1.10 2005/01/03 14:34:47 jan Exp $
 *
 * Copyright 2001-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('ANSEL_BASE', dirname(__FILE__));
require_once ANSEL_BASE . '/lib/base.php';

/* If we aren't provided with a gallery, redirect to the gallery
 * list. */
$galleryId = Util::getFormData('gallery');
if (empty($galleryId)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$gallery = &$ansel_shares->getGallery($galleryId);
if (is_a($gallery, 'PEAR_Error') || !$gallery->hasPermission(Auth::getAuth(), PERMS_READ)) {
    $notification->push(_("You do not have permission to view this gallery."), 'horde.error');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$images = $gallery->listImages();
if (!count($images)) {
    $notification->push(_("There are no images in this gallery to show."), 'horde.message');
    header('Location: ' . Horde::applicationUrl('list.php', true));
}

$transitions = array(_("Blend") => 'progid:DXImageTransform.Microsoft.Fade(duration=1)',
                     _("Blinds") => 'progid:DXImageTransform.Microsoft.Blinds(Duration=1,bands=20)',
                     _("Checkerboard") => 'progid:DXImageTransform.Microsoft.Checkerboard(Duration=1,squaresX=20,squaresY=20)',
                     _("Diagonal") => 'progid:DXImageTransform.Microsoft.Strips(Duration=1,motion=rightdown)',
                     _("Doors") => 'progid:DXImageTransform.Microsoft.Barn(Duration=1,orientation=vertical)',
                     _("Gradient") => 'progid:DXImageTransform.Microsoft.GradientWipe(duration=1)',
                     _("Iris") => 'progid:DXImageTransform.Microsoft.Iris(Duration=1,motion=out)',
                     _("Pinwheel") => 'progid:DXImageTransform.Microsoft.Wheel(Duration=1,spokes=12)',
                     _("Pixelate") => 'progid:DXImageTransform.Microsoft.Pixelate(maxSquare=10,duration=1)',
                     _("Radial") => 'progid:DXImageTransform.Microsoft.RadialWipe(Duration=1,wipeStyle=clock)',
                     _("Rain") => 'progid:DXImageTransform.Microsoft.RandomBars(Duration=1,orientation=vertical)',
                     _("Slide") => 'progid:DXImageTransform.Microsoft.Slide(Duration=1,slideStyle=push)',
                     _("Snow") => 'progid:DXImageTransform.Microsoft.RandomDissolve(Duration=1,orientation=vertical)',
                     _("Spiral") => 'progid:DXImageTransform.Microsoft.Spiral(Duration=1,gridSizeX=40,gridSizeY=40)',
                     _("Stretch") => 'progid:DXImageTransform.Microsoft.Stretch(Duration=1,stretchStyle=push)',
                     _("Random") => '');

$title = sprintf(_("Slide show for %s"), $gallery->get('name'));
require ANSEL_TEMPLATES . '/common-header.inc';
require ANSEL_TEMPLATES . '/menu.inc';
require ANSEL_TEMPLATES . '/slideshow/slideshow.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
